import { request } from '@/api';

// 获取品种列表
export async function getVarietyListApi(params: any): Promise<any> {
    return request.get<any>('/contractVariety/getList', {...params})
}
//获取交易组列表
export async function getTradeGroupListApi(): Promise<any> {
    return request.get<any>('/contractVariety/getGroupList')
}

//创建合约品种
export async function createVarietyApi(params: any): Promise<any> {
    return request.post<any>('/contractVariety/createVariety', {...params})
}

//编辑合约品种
export async function editVarietyApi(params: any): Promise<any> {
    return request.post<any>('/contractVariety/editVariety', {...params})
}

//同步合约品种
export async function syncVarietyApi(): Promise<any> {
    return request.post<any>('/contractVariety/syncVariety', {})
}

//获取品种枚举
export async function getVarietyEnumsApi(): Promise<any> {
    return request.get<any>('/contractVariety/getVarietyEnums')
}